For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList signals
        • POSTCreate a signal
        • GETRetrieve a signal
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationSignals

Create a signal

POST
https://api.middesk.com/v1/signals
POST
/v1/signals
$curl -X POST https://api.middesk.com/v1/signals \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Acme Corporation",
> "addresses": [
> "123 Main Street, San Francisco, CA 94105"
> ],
> "tin": "12-3456789",
> "external_id": "ext-12345",
> "model_slug": "verify"
>}'
1{
2 "object": "signal",
3 "id": "f6a7b8c9-d0e1-2345-f012-3456789abcde",
4 "created_at": "2025-01-07T12:00:00.000Z",
5 "external_id": "ext-12345",
6 "name": "Acme Corporation",
7 "tin": "12-3456789",
8 "addresses": [
9 "123 Main Street, San Francisco, CA 94105"
10 ],
11 "batch_id": "a7b8c9d0-e1f2-3456-0123-456789abcdef",
12 "score": 0.85,
13 "model_slug": "verify",
14 "requester": {
15 "id": "b8c9d0e1-f2a3-4567-1234-56789abcdef0",
16 "type": "Account",
17 "name": "Example Account"
18 },
19 "reasons": [
20 {
21 "category": "identity",
22 "group": "name",
23 "description": "Business name verified",
24 "code": "V101"
25 }
26 ]
27}
Was this page helpful?
Previous

Retrieve a signal

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
Company name
addresseslist of stringsRequired
Array of addresses
tinstringOptional
Tax identification number
external_idstringOptional
External identifier
model_slugstringOptional
Scoring model slug
peoplelist of stringsOptional
Array of people names

Response

signal created

Errors

422
Create Signal Request Unprocessable Entity Error